Subject: Re: [PATCH net-next] ptp: increase the maximum number of clocks

From: Jiri Benc <[email-masked]>
Date: Mon, 25 Mar 2013 17:08:55 +0100

On Sat, 23 Mar 2013 18:59:15 +0100, Richard Cochran wrote:
> Jiri, do you want to work on making the number of clocks essentially
> unlimited? If not, I can take a look at this, but not right away.

I'm currently thinking of using just /dev/ptp for all PHCs in the
system and specifying the desired network device (ifindex, likely)
by an ioctl as the very first operation. What do you think? If this
is viable, I can try to implement it.

As for netlink, I don't see how to do that without reimplementing the
whole kernel<->user space timer API. The API expects clockid_t which
is either a const (a new constant wouldn't help, we can have multiple
PHCs in the system), or a dynamic value. There is no space for more
dynamic values as far as I can see, all combinations of the three lower
bits are already defined. It seems we're left with file descriptors.

 Jiri

-- 
Jiri Benc